Bug 13315 - Добавить зависимость на iconv
: Добавить зависимость на iconv
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-03 15:38 by
Modified: 2008-03-17 10:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-03 15:38:49
в man-pages-ru отсутствует зависимость на iconv, без которого русские страницы 
отображаются "кракозябрами".

Судя по #13314 прекодировкой должен заниматься man.
------- Comment #1 From 2007-11-07 12:45:45 -------
Если поправить патч man-1.5m2-alt-utf8whatis.patch, в котором не использовать
переменную ICONV, а явно использовать /usr/bin/iconv и после этого пересобрать
пакет, то зависимость на iconv должна появиться сама (из-за нового findreq).

Если надо, то могу сделать NMU.
------- Comment #2 From 2008-02-07 13:02:33 -------
Fixed in man-1.6e-alt1
------- Comment #3 From 2008-02-07 13:03:12 -------
(In reply to comment #1)
> Если поправить патч man-1.5m2-alt-utf8whatis.patch, в котором не использовать
> переменную ICONV, а явно использовать /usr/bin/iconv и после этого пересобрать
> пакет, то зависимость на iconv должна появиться сама (из-за нового findreq).

Это не так. Добавил зависимость вручную.

------- Comment #4 From 2008-02-18 00:33:05 -------
1.6e-alt1 - ok
------- Comment #5 From 2008-03-17 10:16:01 -------
*** Bug 14921 has been marked as a duplicate of this bug. ***